Détails du package smp-dotnetfx3.5_3.5.30729-9_all.wapt
retour Revenir à la liste des packages

smp-dotnetfx3.5

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-dotnetfx3.5
version           : 3.5.30729-9
architecture      : all
section           : base
priority          : optional
maintainer        : TIS <technique@tranquil-it-systems.fr>
description       : dot net framework 3.5
depends           : 
conflicts         : 
maturity          : 
locale            : 
min_os_version    : 
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : KMkn5w4CsTjAiygNFZWcsieGUwNLcYsQuSK1YbqBmKEmD438g4OgKSHevpV1CDKD4auWZH2vehWKmW8gfDRGww8z0sSOUma/R2+/wbks3OqMNUFQMODYs3nEq/GElpeXeahgA7gEM94/O85p+bFu9JuFLRIMTzthfykeYx7imN8XdqXiVN3wDfoZAcCfZXqdn/euKKlL0DHNDItX3DEHv2qcui1DhnmxP26PNASBiRLOEIqV8/YXSZSPCWMWw4VYTsDv387s0HnpmQKvgyD5prGn8az8V2tfCm5CLzUPXQxr3sdzqLvKwZGd7EAaSpP51g6PsveG8oS38juysiez+Q==
signature_date    : 20180110-221909
signed_attributes : package,version,architecture,section,priority,maintainer,description,depends,conflicts,maturity,locale,min_os_version,max_os_version,min_wapt_version,sources,installed_size,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

#!/usr/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------

import platform
from setuphelpers import *

uninstallkey = []
uninstallstring= []

def install():
    from common import Version
    try:
        dotnet35 = [ s for s in installed_softwares('Microsoft .NET Framework 3.5') if Version(s['version']) >= Version('3.5.30729')]
    except:
        dotnet35 = [ s for s in installed_softwares('Microsoft .NET Framework 3.5') if s['version'] >= '3.5.30729']

    #on windows 2008R2, dotnetfx3.5 is installed as a "feature" and cannot be installed with a separate download file.
    if platform.win32_ver()[0]=='2008ServerR2':
        run(r'c:\windows\sysnative\dism.exe /online /enable-feature /featurename:NetFx3')
    elif not dotnet35:
        print run('dotnetfx35.exe /q /norestart')
        print("After install, restart your computer is recommended.")

def uninstall():
    for dotnet in installed_softwares('Microsoft .NET Framework 3.5'):
        run(uninstall_cmd(dotnet['key']))